Bug 243012 - Review Request: perl-Compress-Raw-Zlib - Perl interface to zlib compression library
Summary: Review Request: perl-Compress-Raw-Zlib - Perl interface to zlib compression l...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-06 21:52 UTC by Robin Norwood
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 18:14:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Robin Norwood 2007-06-06 21:52:27 UTC
Spec URL: http://people.redhat.com/rnorwood/rpms/Compression/perl-Compress-Raw-Zlib.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/Compression/perl-Compress-Raw-Zlib-2.004-1.src.rpm
Description: This package is part of a set of compression related perl packages.  They are brought in as dependencies for the new perl-Compress-Zlib (2.004).  There are several other related packages, and I'll include all of the relevant bugzillae when I've filed requests for all of them.

Comment 1 Robin Norwood 2007-06-06 22:10:34 UTC
There are 5 compression-related packages needed for a new Compress::Zlib
(2.004), including this one.  Here are the bugzilla URLs for them:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=228537 - perl-IO-Compress-Base
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243010 -
perl-Compress-Raw-Bzip2
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243012 - perl-Compress-Raw-Zlib
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243016 - perl-IO-Compress-Bzip2
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243019 - perl-IO-Compress-Zlib



Comment 2 Robin Norwood 2007-06-07 15:50:48 UTC
(Just replaced the spec and .srpm above with a pair that BuildRequire:
perl(Test::Pod) (like perl-Compress-Raw-Bzip2))

Comment 3 Jason Tibbitts 2007-06-07 23:15:49 UTC
Cool, thanks for that update.

* source files match upstream:
   0f60879a7b3fa4c6439a67271095d2e1e6d084f3395baa323bd9d405d0bd90ac  
   Compress-Raw-Zlib-2.004.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK (could use an extra "the", I suppose)
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   Zlib.so()(64bit)
   perl(Compress::Raw::Zlib) = 2.004
   perl-Compress-Raw-Zlib = 2.004-1.fc8
  =
   libz.so.1()(64bit)
   perl >= 0:5.004
   perl(:MODULE_COMPAT_5.8.8)
   perl(AutoLoader)
   perl(Carp)
   perl(Exporter)
   perl(bytes)
   perl(constant)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful.
   Files=6, Tests=545,  2 wallclock secs ( 1.85 cusr +  0.10 csys =  1.95 CPU)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

Comment 4 Robin Norwood 2007-06-08 01:09:33 UTC
New Package CVS Request
=======================
Package Name: perl-Compress-Raw-Zlib
Short Description: Perl interface to zlib compression library
Owners: rnorwood@redhat.com
Branches: devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 5 Robin Norwood 2007-06-12 18:14:42 UTC
build for devel/f8


Note You need to log in before you can comment on or make changes to this bug.